QwtPointPolar(3)

NAME
QwtPointPolar - A point in polar coordinates.

SYNOPSIS

#include <qwt_point_polar.h>

  Public Member Functions
QwtPointPolar ()
QwtPointPolar (double azimuth, double radius)
QwtPointPolar (const QwtPointPolar &)
QwtPointPolar (const QPointF &)
void setPoint (const QPointF &)
QPointF toPoint () const
bool isValid () const
Returns true if radius() >= 0.0.
bool isNull () const
Returns true if radius() >= 0.0.
double radius () const
Returns the radius.
double azimuth () const
Returns the azimuth.
double & rRadius ()
Returns the radius.
double & rAzimuth ()
Returns the azimuth.
void setRadius (double)
Sets the radius to radius.
void setAzimuth (double)
Sets the atimuth to atimuth.
bool operator== (const QwtPointPolar &) const
Compare 2 points.
bool operator!= (const QwtPointPolar &) const
QwtPointPolar normalized () const

Detailed Description

A point in polar coordinates. In polar coordinates a point is determined by an angle and a distance. See http://en.wikipedia.org/wiki/Polar_coordinate_system

Constructor & Destructor Documentation

  QwtPointPolar::QwtPointPolar () [inline]
Constructs a null point, with a radius and azimuth set to 0.0.

See also:
    QPointF::isNull()

  QwtPointPolar::QwtPointPolar (double azimuth, double radius) [inline]
Constructs a point with coordinates specified by radius and azimuth.

Parameters:
    azimuth Azimuth
    radius Radius

  QwtPointPolar::QwtPointPolar (const QwtPointPolar & other) [inline]
Constructs a point using the values of the point specified.

Parameters:
    other Other point

  QwtPointPolar::QwtPointPolar (const QPointF & p)
Convert and assign values from a point in Cartesian coordinates

Parameters:
    p Point in Cartesian coordinates

See also:
    setPoint(), toPoint()

Member Function Documentation

  QwtPointPolar QwtPointPolar::normalized () const
Normalize radius and azimuth

When the radius is < 0.0 it is set to 0.0. The azimuth is a value >= 0.0 and < 2 * M_PI.

Returns:
    Normalized point

  bool QwtPointPolar::operator!= (const QwtPointPolar & other) const
Compare 2 points

Two points are equal to each other if radius and azimuth-coordinates are the same. Points are not equal, when the azimuth differs, but other.azimuth() == azimuth() % (2 * PI).

Returns:
    True if the point is not equal to other; otherwise return false.

See also:
    normalized()

  bool QwtPointPolar::operator== (const QwtPointPolar & other) const

Compare 2 points. Two points are equal to each other if radius and azimuth-coordinates are the same. Points are not equal, when the azimuth differs, but other.azimuth() == azimuth() % (2 * PI).

Returns:
    True if the point is equal to other; otherwise return false.

See also:
    normalized()

  void QwtPointPolar::setPoint (const QPointF & p)
Convert and assign values from a point in Cartesian coordinates

Parameters:
    p Point in Cartesian coordinates

  QPointF QwtPointPolar::toPoint () const
Convert and return values in Cartesian coordinates

Returns:
    Converted point in Cartesian coordinates

Note:
    Invalid or null points will be returned as QPointF(0.0, 0.0)

See also:
    isValid(), isNull()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.